Name: qpsmtpd-plugin-aliases
Version: 181
Release: 1
Packager: hjp@hjp.at
Summary: aliases plugin for qpsmtpd
License: distributable
Group: System Environment/Daemons
URL: http://smtpd.develooper.com/
BuildRoot: %{_tmppath}/%{name}-root
#Source0: %{name}-%{version}.tar.gz
Source0: %{name}.tar.gz
BuildArchitectures: noarch

%description
This module looks up recipients (argument to the RCPT TO command) in an
alias file.
Recipients which are not found are immediately rejected.
After all recipients are known, the aliases are recursively expanded.

%prep
#%setup -q -n %{name}-%{version} 
%setup -q -c %{name}

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/qpsmtpd/plugins
cp aliases_* $RPM_BUILD_ROOT/usr/share/qpsmtpd/plugins

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress


%files
%defattr(-,root,root)
/usr/share/qpsmtpd/plugins/aliases_check
/usr/share/qpsmtpd/plugins/aliases_rewrite

%changelog
* Wed Apr 19 2006 <hjp@hjp.at> 181-1
- Upstream version 180: Honor the connection->relay_client property.
- Upstream version 181: Updated spec file.

* Thu Aug 23 2005 <hjp@hjp.at> 160-1
- Upstream version 159: Parse aliases file in register hook, too.
- Upstream version 160: Added Makefile to build RPM package.

* Thu Aug 21 2005 <hjp@hjp.at> 158-1
- Upstream version 158: Cleaned up log messages.

* Thu Aug 18 2005 <hjp@hjp.at> 154-1
- Upstream version 154: Fixed typo introduced in r153.

* Thu Aug 18 2005 <hjp@hjp.at> 153-1
- Upstream version 153: Documentation and debug messages cleaned up.
- Changed buildarchitecture to noarch.

* Sat Jul 16 2005 <hjp@hjp.at> 138-1
- Upstream version 137: Changes for forkserver.
- Upstream version 138: Moved parsing of config files to pre-connection hook.

* Fri Jul 15 2005 <hjp@hjp.at> 133-1
- First RPM package.

